<script lang="ts">
    import { onDestroy, onMount } from 'svelte'
    import mercureStore from '$lib/mercureStore'
    import type { MercureStore } from '$lib/mercureStore'

    let chat: MercureStore<unknown>

    onMount(() => {
        chat = mercureStore('chat/planet')
        chat.subscribe(value => {
            console.log(value)
        })
    })

    onDestroy(() => chat?.close())
</script>
